# Uses of Interface
org.eclipse.microprofile.openapi.models.security.SecurityRequirement

Packages that use SecurityRequirement
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3 documents from their JAX-RS applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.security
A set of model interfaces to represent various security components of an OpenAPI app.

## Uses of SecurityRequirement in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return SecurityRequirement
Modifier and Type
Method
Description
`static SecurityRequirement`
OASFactory.`createSecurityRequirement()`
This method creates a new `SecurityRequirement` instance.

## Uses of SecurityRequirement in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return types with arguments of type SecurityRequirement
Modifier and Type
Method
Description
`List<SecurityRequirement>`
OpenAPI.`getSecurity()`
Returns the security property from an OpenAPI instance.
`List<SecurityRequirement>`
Operation.`getSecurity()`
Returns the security property from an Operation instance.
Methods in org.eclipse.microprofile.openapi.models with parameters of type SecurityRequirement
Modifier and Type
Method
Description
`OpenAPI`
OpenAPI.`addSecurityRequirement(SecurityRequirement securityRequirement)`
Adds the given security requirement to this OpenAPI instance's list of security requirements.
`Operation`
Operation.`addSecurityRequirement(SecurityRequirement securityRequirement)`
Adds the given security requirement item to this Operation's list of security mechanisms.
`void`
OpenAPI.`removeSecurityRequirement(SecurityRequirement securityRequirement)`
Removes the given security requirement to this OpenAPI instance's list of security requirements.
`void`
Operation.`removeSecurityRequirement(SecurityRequirement securityRequirement)`
Removes the given security requirement item to this Operation's list of security mechanisms.
Method parameters in org.eclipse.microprofile.openapi.models with type arguments of type SecurityRequirement
Modifier and Type
Method
Description
`default OpenAPI`
OpenAPI.`security(List<SecurityRequirement> security)`
Sets this OpenAPI instance's security property to the given list.
`default Operation`
Operation.`security(List<SecurityRequirement> security)`
Sets this Operation's security property to the given list.
`void`
OpenAPI.`setSecurity(List<SecurityRequirement> security)`
Sets this OpenAPI instance's security property to the given list.
`void`
Operation.`setSecurity(List<SecurityRequirement> security)`
Sets this Operation's security property to the given list.

## Uses of SecurityRequirement in org.eclipse.microprofile.openapi.models.security

Methods in org.eclipse.microprofile.openapi.models.security that return SecurityRequirement
Modifier and Type
Method
Description
`SecurityRequirement`
SecurityRequirement.`addScheme(String securitySchemeName)`
Adds a security scheme to the SecurityRequirement instance based on the scheme name.
`SecurityRequirement`
SecurityRequirement.`addScheme(String securitySchemeName, String scope)`
Adds a security scheme to the SecurityRequirement instance based on the scheme name and required scope (optional) provided.
`SecurityRequirement`
SecurityRequirement.`addScheme(String securitySchemeName, List<String> scopes)`
Adds a security scheme to the SecurityRequirement instance based on the scheme name and required scopes (optional) provided.